:root {
  --primary-color--1: #f0931a;
  --primary-color--2: #f0ecdd;

  --secondary-dark--1: #ff5500;
  --secondary-dark--2: #488661;
  --secondary-light--1: #f7f7f7;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
  box-sizing: border-box;
}

body {
  font-family: "Manrope", sans-serif;
  color: var(--primary-color--2);
  background-color: var(--primary-color--2);
  font-weight: 400;
  line-height: 1.6;
}

main {
  height: 90vh;
  overscroll-behavior-y: none;
  display: flex;
}

GENERAL a:link,
a:visited {
  color: var(--secondary-dark--1);
}

button {
  color: var(--primary-color--2);
  background-color: var(--secondary-dark--2);
  border: none;
  border-radius: 3px;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 16px;
  width: 200px;
  height: 100%;
}
button:hover {
  background-color: var(--secondary-dark--1);
}
img {
  max-width: 100%;
}
.product-img:hover {
  border-radius: 20px;
}

/* HEADER */
.header {
  /* width: 40rem; */
  height: 10vh;
  background-color: var(--secondary-dark--2);
  display: flex;
  align-items: center;
}

.header__nav {
  list-style: none;
  padding: 0 40px;
  margin: 0;
  display: flex;
  flex-direction: row;
  width: 40rem;
  justify-content: space-around;
}

.header {
  padding: 10px 10px;
  color: var(--primary-color--2);
  text-transform: uppercase;
  font-size: 22px;
}

.header__link a {
  text-decoration: none;
  color: var(--primary-color--2);
  text-transform: uppercase;
  font-weight: bold;
  font-size: 14px;
}
.header__link a:hover {
  color: var(--secondary-dark--1);
}

/* SIDEBAR */
.sidebar {
  flex-basis: 40rem;
  background-color: var(--primary-color--1);
  padding: 3rem 5rem 4rem 5rem;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.logo {
  height: 8rem;
  align-self: center;
  margin-bottom: 4rem;
}

.shops {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 70%;
}
.shops__list {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-evenly;
}
.shops__item {
  list-style: none;
  /* height: 16%; */
  /* margin: 10px 0; */
}
.shop-button {
  margin: 5px 0;
  width: 200px;
  height: 40px;
}

.copyright {
  margin-top: auto;
  font-size: 1.3rem;
  text-align: center;
  color: var(--secondary-light--1);
}

.gitlab-link:link,
.gitlab-link:visited {
  color: var(--secondary-light--1);
  transition: all 0.2s;
}

.gitlab-link:hover,
.gitlab-link:active {
  color: var(--secondary-dark--1);
}

/* SHOPS */
.shop-page {
  display: flex;
  overflow-y: scroll;
  margin: 30px 0;
}
.product-cards {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-evenly;
}
.product-card {
  border: 2px solid var(--primary-color--1);
  border-radius: 3px;
  display: flex;
  flex-direction: column;
  flex: 0 1 24%;
  min-width: 280px;
  align-items: center;
  margin: 10px 10px;
}
.product-card__content {
  width: 90%;
}
.product-img {
  padding-top: 20px;
  border-radius: 16% 16% 60% 16%;
}
.product-name {
  color: var(--primary-color--1);
  font-weight: bold;
  font-size: 16px;
  padding: 10px;
}
.to-buy {
  margin: 10px 20px 20px 0;
  height: 40px;
  width: 150px;
  font-size: 14px;
  align-self: flex-end;
}

/* Shopping cart */
.form {
  width: 50%;
  background-color: var(--primary-color--1);
  padding: 3rem 5rem 4rem 5rem;
  display: flex;
  flex-direction: column;
  height: 100%;
  font-size: 16px;
}
input {
  background-color: var(--secondary-light--1);
  border: 0;
  height: 30px;
  border-radius: 4px;
  font-size: 16px;
  color: var(--primary-color--1);
  padding: 10px;
  width: 100%;
}
.quantity-input {
  width: 80%;
  margin: 20px;
}
#map {
  display: flex;
  height: 30%;
  margin-top: 20px;
}
.product-price {
  color: var(--primary-color--1);
  font-size: 14px;
  padding-left: 10px;
}
.submit {
  height: 40px;
}
.order {
  display: flex;
  flex-direction: column;
  width: 50%;
}
.shopping-cart {
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-y: scroll;
  margin: 30px 0;
}

.added-products {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 90%;
}
.added-product {
  border: 2px solid var(--primary-color--1);
  border-radius: 3px;
  display: flex;
  align-items: center;
  margin: 10px;
}
.added-product__content {
  color: var(--primary-color--1);
  font-size: 16px;
  display: flex;
}
.added-product-img {
  border-radius: 0;
  width: 70%;
}
.added-product-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: 100%;
}
.added-product-name {
  color: var(--primary-color--1);
  font-weight: bold;
  font-size: 16px;
  /* padding: 10px; */
}

.order-confirmation {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 20px;
}
.total-price {
  color: var(--secondary-dark--2);
  font-size: 16px;
  font-weight: bold;
}
